Bug 57846 - set -o vi doesn't work with login shell and no .inputrc
Summary: set -o vi doesn't work with login shell and no .inputrc
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-27 22:15 UTC by Rick Otten
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-27 22:15:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rick Otten 2001-12-27 22:15:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-7.0.1 i586)

Description of problem:
We uncovered what appears to be an interesting little bug in bash on our 
RH 6.2 systems today.

I've upgraded my system to the very latest version of bash and it still
isn't 
fixed.

Problem:
  When you log in with 'bash' as your shell, "set -o vi" doesn't work.
("set -o emacs" does work).
  Invoking a second bash shell (SHLVL=2) will then let you run "set -o vi"
without any problem.

Work Around:
   $ touch $HOME/.inputrc
  log out and back in.
  "set -o vi" will work fine.

Note:
   $ unset INPUTRC
  or
   $ export INPUTRC=$HOME/.inputrc
  has no effect on the problem.  (The variable does change however.)

This bug does not seem exist on the Red Hat 7.x systems (bash2).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.login with bash as your login shell and no .inputrc
2.set -o vi
3.<esc> k
   Can you scroll back through your old commands? Or do you get a bunch of
k's?
4.set -o emacs
5.<ctrl> p
   Does this one scroll through?

etc...
	

Additional info:

Comment 1 Bernhard Rosenkraenzer 2002-01-09 15:13:17 UTC
Works in 7.x



Note You need to log in before you can comment on or make changes to this bug.